<?php 
  include("../clases/BDConexion.php");
  include("../clases/clsClinico.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  session_start();
  $objClinico=new clsClinico;
   $fecha=extraerfechamysql($fecha);
   $count = count($cantidad1);   
for($i=0;$i<$count;$i++){  
if($cantidad1[$i]<>0){
$medicamentoss[]=array("$cod_med1[$i]",$medicina[$i],$cantidad1[$i],$um[$i],$costo[$i],$id_medpedet[$i],$actual[$i]);
//echo $cod_med1[$i]."-".$cantidad1[$i]."<br>";
}  
} 
if (isset($medicamentoss)){
  	while(list($clave,$valor)=each($medicamentoss)){
		$cod_med=$valor[0];
		$medicina=$valor[1];
		$cantidad2=$valor[2];
		$um=$valor[3];
		$costo=$valor[4];
		$id_medpedet=$valor[5];
		$actual=$valor[6];
		
		
			$res = $objClinico->DevolverUltimoProcesoKardexMed($cod_med);
			if($fila=$objClinico->NextRow($res)){				
			$saldoActual  =  $fila['saldo_actual'];
			$saldoini=$saldoActual;
			$saldofin=$cantidad2+$saldoActual;
			}else{
			$resmedica = $objClinico->DevolverUltimoProcesoKardexMedicina($cod_med);
			$filamedica=$objClinico->NextRow($resmedica);
			$saldoActual=$cantidad2;
			$saldoini=$filamedica['stock'];
			$saldofin=$filamedica['stock']+$cantidad2;		
			}
		
			$objClinico->InsertKardexMedicinaGuia($cod_med,$saldoini,$cantidad2,$saldofin,$fecha,'G',$numguia,$costo,$obser,$um,'IQUITOS');
			
			$resdp=$objClinico->DevolverDetPedLineas($id_medpedet);
			$filadp=$objClinico->NextRow($resdp);
			
			$actual1  =  $filadp['actual']-$cantidad2;
			$resto=$filadp['solicitada']-$actual1;		
			$objClinico->ActalizaDetpedLineas($id_medpedet,$cantidad2,$actual1,$resto);
			$objClinico->ActalizaStockMedGuia($cod_med,$saldofin);
			
	}
  }  
 /* if ($count>0){
	for($i=0;$i<$count;$i++){
  		if($sel[$i]=="1"){
			$res = $objClinico->DevolverUltimoProcesoKardexMed($cod_med[$i]);
			if($fila=$objClinico->NextRow($res)){				
			$saldoActual  =  $fila['saldo_actual'];
			$saldoini=$saldoActual;
			$saldofin=$cantidad[$i]+$saldoActual;
			}else{
			$saldoActual=$cantidad[$i];
			$saldoini=$saldoActual;
			$saldofin=$saldoActual;		
			}
		
			$objClinico->InsertKardexMedicinaGuia($cod_med[$i],$saldoini,$cantidad[$i],$saldofin,$fecha,'G',$numguia,$costo[$i],$obser,$um[$i],'Iquitos');
			
			$resdp=$objClinico->DevolverDetPedLineas($id_medpedet[$i]);
			$filadp=$objClinico->NextRow($resdp);
			
			$actual  =  $filadp['actual']-$cantidad[$i];
			$resto=$filadp['solicitada']-$actual;		
			$objClinico->ActalizaDetpedLineas($id_medpedet[$i],$cantidad[$i],$actual,$resto);
			$objClinico->ActalizaStockMedGuia($cod_med[$i],$saldofin);	
		}	 
	}
}    */
 
  Redirigir("../um_listarpedido_total.php?borrar=1&aler=1"); 
  ?>